WORK_BUSY(9)

NAME
work_busy - test whether a work is currently pending or running

SYNOPSIS

unsigned int work_busy(struct work_struct * work);

ARGUMENTS

work
    the work to be tested

DESCRIPTION

Test whether work is currently pending or running. There is no synchronization around this function and the test result is unreliable and only useful as advisory hints or for debugging.

RETURN

OR'd bitmask of WORK_BUSY_* bits.

COPYRIGHT